import 'package:electronic_assistant/device/platform_ios_info.dart';

import 'platform_android_info.dart';
import '../utils/common_utils.dart';

class DeviceInfoUtil {
  DeviceInfoUtil._();

  // final String privacyPolicyKey = stringToUnicode('privacyPolicyKey');

  init() async {
    // if (!KVUtil.getBool(privacyPolicyKey, false)) {
    //   return;
    // }
    await PlatformAndroidInfo.init();
    await PlatformIosInfo.init();
  }
}

final deviceInfoUtil = DeviceInfoUtil._();
